import request from '@/utils/request';

// 查询平台导航列表
export function listNavigation(query: any) {
  return request({
    url: '/system/navigation/list',
    method: 'get',
    params: query
  });
}

// 查询平台导航详细
export function getNavigation(id: number) {
  return request({
    url: '/system/navigation/' + id,
    method: 'get'
  });
}

// 新增平台导航
export function addNavigation(data: any) {
  return request({
    url: '/system/navigation',
    method: 'post',
    data: data
  });
}

// 修改平台导航
export function updateNavigation(data: any) {
  return request({
    url: '/system/navigation',
    method: 'put',
    data: data
  });
}

// 删除平台导航
export function delNavigation(id: number | number[]) {
  return request({
    url: '/system/navigation/' + id,
    method: 'delete'
  });
}
